B10-LOADZONE(8)

NAME
b10-loadzone - Load DNS Zone File

SYNOPSIS

b10-loadzone [-d database] [-o origin] [filename]

DESCRIPTION

The b10-loadzone utility loads a RFC 1035 style DNS master zone file and stores it in a BIND 10 ready data source format. Master files are text files that contain DNS Resource Records in text form.

    Note

    Currently only the SQLITE3 data source is supported.

Some control entries (aka directives) are supported. $ORIGIN is followed by a domain name and is used to define the relative domain name. $INCLUDE is followed by a filename to load. The previous origin is restored after the file is included. $TTL is followed by a time-to-live value which is used by following records that don't have their TTL set.

When replacing a zone, all records from the prior same zone disappear and the whole new set appears.

ARGUMENTS

-d database
    Defines the filename for the database. The default is /usr/local/var/bind10/zone.sqlite3.

-o origin
    Defines the default origin for the zone file records.

FILES

SEE ALSO

b10-auth(8), bind10(8).

AUTHORS

The b10-loadzone tool was initial written by Evan Hunt of ISC.

COPYRIGHT
Copyright © 2010 Internet Systems Consortium, Inc. ("ISC")